Package org.kie.internal.ruleunit

## Interface RuleUnitDescription

-     public interface RuleUnitDescription

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCanonicalName()` |
    `org.kie.api.runtime.conf.ClockTypeOption` | `getClockType()` |
    `Optional<Class<?>>` | `getDatasourceType​(String name)` |
    `default String` | `getEntryPointName​(String name)` |
    `String` | `getPackageName()` |
    `default Class<?>` | `getRuleUnitClass()` |
    `String` | `getRuleUnitName()` |
    `String` | `getSimpleName()` |
    `Collection<? extends RuleUnitVariable>` | `getUnitVarDeclarations()` |
    `Collection<String>` | `getUnitVars()` |
    `RuleUnitVariable` | `getVar​(String name)` |
    `Optional<Type>` | `getVarType​(String name)` |
    `boolean` | `hasDataSource​(String name)` |
    `boolean` | `hasVar​(String name)` |

- - ### Method Detail

    - #### getRuleUnitClass

          default Class<?> getRuleUnitClass()

    - #### getRuleUnitName

          String getRuleUnitName()

    - #### getCanonicalName

          String getCanonicalName()

    - #### getSimpleName

          String getSimpleName()

    - #### getPackageName

          String getPackageName()

    - #### getEntryPointName

          default String getEntryPointName​(String name)

    - #### getDatasourceType

          Optional<Class<?>> getDatasourceType​(String name)

    - #### getVarType

          Optional<Type> getVarType​(String name)

    - #### getVar

          RuleUnitVariable getVar​(String name)

    - #### hasVar

          boolean hasVar​(String name)

    - #### getUnitVars

          Collection<String> getUnitVars()

    - #### getUnitVarDeclarations

          Collection<? extends RuleUnitVariable> getUnitVarDeclarations()

    - #### hasDataSource

          boolean hasDataSource​(String name)

    - #### getClockType

          org.kie.api.runtime.conf.ClockTypeOption getClockType()